cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

1421
Views
5
Helpful
5
Replies
mmuthiah72
Beginner

ASA5505 upgrade issues...

I was trying to upgrade my ASA 5505  through GUI asdm-idm launcher  to 9.6.3.

 

I just selected Adaptive Security Appliance (ASA) Software 9.6.3 version to be upgraded .   The upgrade went OK, but now I'm not able to launch Cisco asdm-idm launcher.  I didn't upgrade "Adaptive Security Appliance (ASA) Device Manager", may be its part of the issue.  I have access to the SSH session and i have internet access as well.   Im not able to get anything from the browser as well as client.  I got "404 The requested URL /admin/public/index.html was not found on this server." error

 

Java log shows

 

Local Launcher Version = 1.5.73
Local Launcher Version Display = 1.5(73)
OK button clicked
Trying for ASDM Version file; url = https://192.168.15.1/admin/
No version file found
Trying for IDM. url=https://192.168.15.1/idm/idm.jnlp/
Not IDM.
OK button clicked
Trying for ASDM Version file; url = https://192.168.15.1/admin/
No version file found
Trying for IDM. url=https://192.168.15.1/idm/idm.jnlp/
Not IDM.

 

 

 

 

Any help to get back to my asdm client is appreciated.

 

Thanks

5 REPLIES 5
Marius Gunnerud
VIP Advisor

Most likely your ASDM image is not supported with the 9.6.3 version.  I suggest upgrading the ASDM and testing again.  If you still are having issues, please post the output of the following commands:

show run http

dir

show run asdm

show log (issue this command right after trying to connect to the ASDM)

--

Please remember to select a correct answer and rate helpful posts

--
Please remember to select a correct answer and rate helpful posts

Thank you, But how do transfer the asdm from my PC to the device?  Do i need tftp server?   Will the regular sftp works?

hi,

karsten is right. there's no ASA image 9.6.3. the latest and greatest i saw was 9.2.4.

i recently upgraded my 5505 to 9.1.6 (look for the image with the star) and ASDM 7.4(3).

see compatibility matrix:

http://www.cisco.com/c/en/us/td/docs/security/asa/compatibility/asamatrx.html#pgfId-121785

the download area for ASDM is separate from the ASA image: under ASA 5505 > software on chassis > ASA device manager.

i've downgraded my java from 8 to 7 (update 45) for ASDM to work.

 

 

ASDM 7.4(3) should run with Java 8, If not try to add the ASA IP to the Java trusted hosts and add the ASA certificate to the Java secure servers list. After that, only the "normal" problems with Java/ASDM should occur ...

 

Karsten Iwen
VIP Mentor

What are you trying exactly? There is no ASA version 9.6.3 ...

Create
Recognize Your Peers
Content for Community-Ad